public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-simulation/openttd/
Date: Sun, 24 Oct 2021 04:06:19 +0000 (UTC)	[thread overview]
Message-ID: <1635048360.ecdc2b2ec635901cde3f96e155b3c341b40316c7.sam@gentoo> (raw)

commit:     ecdc2b2ec635901cde3f96e155b3c341b40316c7
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Fri Oct 22 14:42:06 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 24 04:06:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ecdc2b2e

games-simulation/openttd: update to 12.0

Migrated to EAPI=8, updated dependencies, fixed bugs.
Regarding #807364, there will be always unused CMAKE_DISABLE_FIND_PACKAGE_SDL
warning since it will be used when USE="allegro -sdl", other unused
variables are fixed.

Closes: https://bugs.gentoo.org/807364
Closes: https://bugs.gentoo.org/810538
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-simulation/openttd/Manifest            |   1 +
 games-simulation/openttd/openttd-12.0.ebuild | 104 +++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/games-simulation/openttd/Manifest b/games-simulation/openttd/Manifest
index e1bd78d5f72..cb5324009a4 100644
--- a/games-simulation/openttd/Manifest
+++ b/games-simulation/openttd/Manifest
@@ -1 +1,2 @@
 DIST openttd-1.11.2-source.tar.xz 6783972 BLAKE2B c71fd98a480566aede29f84afbd100b6d0dfa80311860907a7287d2d5bed74bd492c2b1012cd83f45fe68d60fb0c2378e1384530a84c28bd7fbd907b45110491 SHA512 9a6364bf19627db9f8ec58bfa85fa3a8febf1109f3b5fb9053bef810ac2d0c41df91b58f0b253dd45320a29cae2e8485df794afa7b5240f19759f98fd65c35ea
+DIST openttd-12.0-source.tar.xz 7307832 BLAKE2B 12ffd0978e1f735f4a1d9eb63876a6f4a38867f11e5cbfbb7386f34564ef8b79f394b782c99f28e8a65196b7311aee28427d0485abd2e16dd69f36beb40fa3b1 SHA512 a1042fe52892cf301d3a2c7e972d9c091829638119d2ca9b55165a6b5568660f178e808db4b0bf2d3e4538dbdaea7b0683d4de9333defbcd95e109d591c05a78

diff --git a/games-simulation/openttd/openttd-12.0.ebuild b/games-simulation/openttd/openttd-12.0.ebuild
new file mode 100644
index 00000000000..73990ea5a05
--- /dev/null
+++ b/games-simulation/openttd/openttd-12.0.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="A clone of Transport Tycoon Deluxe"
+HOMEPAGE="https://www.openttd.org/"
+SRC_URI="https://cdn.openttd.org/openttd-releases/${PV}/${P}-source.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+IUSE="allegro cpu_flags_x86_sse dedicated +fluidsynth icu +lzma lzo +openmedia +png +sdl timidity +truetype +zlib"
+REQUIRED_USE="!dedicated? ( || ( allegro sdl ) )"
+
+RESTRICT="test" # needs a graphics set in order to test
+
+RDEPEND="
+	!dedicated? (
+		allegro? ( media-libs/allegro:5 )
+		fluidsynth? ( media-sound/fluidsynth )
+		icu? (
+			dev-libs/icu-layoutex:=
+			dev-libs/icu-le-hb
+			>=dev-libs/icu-58.1:=
+		)
+		sdl? ( media-libs/libsdl2[sound,video] )
+		truetype? (
+			media-libs/fontconfig
+			media-libs/freetype:2
+			sys-libs/zlib:=
+		)
+	)
+	lzma? ( app-arch/xz-utils )
+	lzo? ( dev-libs/lzo:2 )
+	png? ( media-libs/libpng:0= )
+	zlib? ( sys-libs/zlib:= )"
+DEPEND="${RDEPEND}"
+BDEPEND=">=games-util/grfcodec-6.0.6_p20210310
+	virtual/pkgconfig"
+PDEPEND="
+	!dedicated? (
+		openmedia? (
+			>=games-misc/openmsx-0.4.0
+			>=games-misc/opensfx-1.0.1
+		)
+	)
+	openmedia? ( >=games-misc/opengfx-0.6.1 )
+	timidity? ( media-sound/timidity++ )"
+
+DOCS=( docs/directory_structure.md )
+PATCHES=(
+	"${FILESDIR}/${PN}-1.11.2_dont_compress_man.patch"
+)
+
+src_configure() {
+	local mycmakeargs=(
+		-DCMAKE_INSTALL_BINDIR=bin
+		-DCMAKE_INSTALL_DATADIR=share
+		-DOPTION_DEDICATED=$(usex dedicated)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Allegro=$(usex !allegro)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Freetype=$(usex !truetype)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Fontconfig=$(usex !truetype)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Fluidsynth=$(usex !fluidsynth)
+		-DCMAKE_DISABLE_FIND_PACKAGE_ICU=$(usex !icu)
+		-DCMAKE_DISABLE_FIND_PACKAGE_LibLZMA=$(usex !lzma)
+		-DCMAKE_DISABLE_FIND_PACKAGE_LZO=$(usex !lzo)
+		-DCMAKE_DISABLE_FIND_PACKAGE_PNG=$(usex !png)
+		# N.B. regarding #807364: CMAKE_DISABLE_FIND_PACKAGE_SDL is used only
+		# with USE="allegro -sdl" combination flags. There no other way to
+		# completely disable SDL1 support.
+		-DCMAKE_DISABLE_FIND_PACKAGE_SDL=ON
+		-DCMAKE_DISABLE_FIND_PACKAGE_SDL2=$(usex !sdl)
+		-DCMAKE_DISABLE_FIND_PACKAGE_SSE=$(usex !cpu_flags_x86_sse)
+		-DCMAKE_DISABLE_FIND_PACKAGE_ZLIB=$(usex !zlib)
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+	newinitd "${FILESDIR}"/${PN}.initd-r1 ${PN}
+}
+
+pkg_postinst() {
+	if ! use openmedia ; then
+		elog
+		elog "OpenTTD was compiled without the 'openmedia' USE flag."
+		elog
+		elog "In order to play, you must at least install"
+		elog "games-misc/opengfx, and games-misc/opensfx, or copy the "
+		elog "following 6 files from a version of Transport Tycoon Deluxe"
+		elog "(Windows or DOS) to shared or personal location."
+		elog "See /usr/share/doc/${PF}/directory_structure.md for more info."
+		elog
+		elog "From the Windows version you need: "
+		elog "sample.cat trg1r.grf trgcr.grf trghr.grf trgir.grf trgtr.grf"
+		elog "OR from the DOS version you need: "
+		elog "SAMPLE.CAT TRG1.GRF TRGC.GRF TRGH.GRF TRGI.GRF TRGT.GRF"
+	fi
+}


             reply	other threads:[~2021-10-24  4:06 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-24  4:06 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-24  7:12 [gentoo-commits] repo/gentoo:master commit in: games-simulation/openttd/ Sam James
2023-08-01  7:09 Sam James
2023-08-01  7:09 Sam James
2023-06-27 11:28 Sam James
2023-06-14  2:48 Sam James
2023-04-16  7:33 Sam James
2023-03-09 20:13 Ionen Wolkens
2023-02-08 21:13 Sam James
2022-04-12  7:54 Sam James
2021-11-12  1:31 Sam James
2021-10-24  4:06 Sam James
2021-08-14  3:48 Sam James
2021-08-07  5:36 Sam James
2021-04-06 18:18 Sam James
2020-11-11 11:22 Lars Wendler
2020-11-11 11:22 Lars Wendler
2020-10-01 15:47 James Le Cuirot
2020-06-05  8:37 Stefan Strogin
2020-06-05  8:28 Stefan Strogin
2020-04-16 20:44 James Le Cuirot
2020-04-16 20:44 James Le Cuirot
2020-04-16 20:44 James Le Cuirot
2020-04-14 21:59 James Le Cuirot
2019-10-14 12:10 Lars Wendler
2019-07-09 10:03 Lars Wendler
2019-07-09 10:03 Lars Wendler
2019-04-15 14:54 Lars Wendler
2019-04-15 14:54 Lars Wendler
2019-04-03 12:20 Lars Wendler
2018-07-16  9:21 Lars Wendler
2018-03-27 12:39 Lars Wendler
2018-02-04  6:06 Lars Wendler
2017-09-30  4:58 Michael Palimaka
2017-09-30  4:58 Michael Palimaka
2017-07-18 23:06 Lars Wendler
2017-06-14 22:21 James Le Cuirot
2017-05-15 13:15 Lars Wendler
2017-01-01 17:19 Lars Wendler
2016-12-26 17:04 Lars Wendler
2016-11-08  8:35 Lars Wendler
2016-11-06 15:26 Lars Wendler
2016-11-06 15:26 Lars Wendler
2016-02-14 10:11 Agostino Sarubbo
2016-01-15  9:03 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635048360.ecdc2b2ec635901cde3f96e155b3c341b40316c7.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox